
## distro/release specific support
%if 0%{?fedora} > 4
%define _with_hal --with-hal
%endif

Name:    k3b
Summary: CD/DVD burning application
Version: 1.0.1
Release: 0.1%{?dist}%{?kde}

License: GPL
Group:   Applications/Multimedia
URL:     http://www.k3b.org/
Source0: http://dl.sourceforge.net/sourceforge/k3b/k3b-%{version}%{?beta}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs-devel 
BuildRequires: gettext

BuildRequires: audiofile-devel
%{?_with_hal:BuildRequires: hal-devel >= 0.4, dbus-qt-devel }
BuildRequires: libvorbis-devel
BuildRequires: flac-devel
BuildRequires: libmpcdec-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libdvdread-devel
BuildRequires: taglib-devel

Obsoletes: k3b-extras < %{version}-%{release}
Provides:  k3b-extras = %{version}-%{release}

# omit -devel-type stuff, for now, afaik, no one uses it
Obsoletes: k3b-devel < %{version}-%{release}

%if "%{?nonfree:1}"  == "1"
# until k3b-extras-nonfree-1.0 exists
Obsoletes: k3b-extras-nonfree < %{version}-%{release}
Provides:  k3b-extras-nonfree = %{version}-%{release}
%define _with_lame --with-lame
%define _with_libmad --with-libmad
%{?_with_libmad:BuildRequires: libmad-devel}
%{?_with_lame:BuildRequires: lame-devel}
%endif

## for konq service menus, dir-ownership. - Rex
#Requires:  kdebase
Requires: cdrecord
Requires: mkisofs
%if 0%{?fedora} > 3
Requires(hint): cdrdao
Requires(hint): dvd+rw-tools
%endif

%description
K3b was created to be a feature-rich and easy to handle CD/DVD
burning application.

%package devel
Summary: %{name} headers and libraries
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
Header files and libraries for %{name}.


%prep
%setup -q -n %{name}-%{version}%{?beta}


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --enable-debug --disable-warnings \
  --disable-dependency-tracking --disable-final \
  --with-k3bsetup=no \
  --with-arts \
  --with-oggvorbis \
  --with-flac \
  --with-external-libsamplerate \
  --with-musicbrainz \
  --with-sndfile \
  --without-ffmpeg \
  %{?_with_libmad} %{!?_with_libmad:--without-libmad} \
  %{?_with_lame} %{!?_with_lame:--without-lame} \
  --with-musepack \
  %{?_with_hal} %{!?_with_hal:--without-hal} \

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi  

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
# -devel bits
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -f  $RPM_BUILD_ROOT%{_libdir}/lib*.so


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig 
touch --no-create %{_datadir}/icons/hicolor ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig 
touch --no-create %{_datadir}/icons/hicolor ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README COPYING TODO ChangeLog
%{_bindir}/k3b
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/apps/konqsidebartng/virtual_folders/services/*.desktop
%{_datadir}/mimelnk/*/*.desktop
%{_libdir}/lib*.so.*
%if "%{?_with_k3bsetup:1}" == "1"
#{_bindir}/k3bsetup
#{_libdir}/kde3/kcm_k3bsetup2.*
#{_datadir}/applnk/Settings/System/*k3bsetup*.desktop
%endif
%{_libdir}/kde3/*.[ls][ao]
%{_datadir}/apps/k3b/
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/services/*
%{_datadir}/sounds/*
%{_datadir}/icons/hicolor/*/*/*

#files devel
#defattr(-,root,root,-)
#{_includedir}/*
#{_libdir}/lib*.so


%changelog
* Sun Apr 22 2007 Rex Dieter 1.0.1-0.1
- k3b-1.0.1

* Thu Mar 22 2007 Rex Dieter 1.0-0.10
- k3b-1.0(final)
- Obsoletes: k3b-extras k3b-devel
- (again) omit k3b-extras-nonfree bits

* Mon Feb 12 2007 Rex Dieter 1.0-0.9.rc6
- k3b-1.0rc6

* Sat Jan 27 2007 Rex Dieter 1.0-0.8.rc5
- k3b-1.0rc5

* Sat Jan 20 2007 Rex Dieter 1.0-0.7.rc4
- k3b-1.0rc4

* Fri Dec 29 2006 Rex Dieter 1.0-0.6.rc3
- k3b-1.0rc3

* Tue Nov 30 2006 Rex Dieter 1.0-0.5.beta1
- BR: libdvdread-devel libmpcdec-devel libsndfile-devel
- Obsoletes/Provides: k3b-extras
- include mp3 support for now (Ob/Pr: k3b-extras-nonfree) 

* Wed Nov 22 2006 Rex Dieter 1.0-0.4.beta1
- 1.0beta1

* Thu Sep 12 2006 Rex Dieter 1.0-0.3.pre2
- --enable-debug

* Tue Sep 12 2006 Rex Dieter 1.0-0.2.pre2
- 1.0pre2

* Mon Aug 14 2006 Rex Dieter 1.0-0.1.pre1
- 1.0pre1

* Fri Jun 23 2006 Rex Dieter 0.12.16-0.1
- 0.12.16

* Mon May 15 2006 Rex Dieter 0.12.15-0.3
- fc5+: re-enable dbus/hal support 

* Tue Apr 18 2006 Rex Dieter 0.12.15-0.2
- omit k3bsetup for %fedora > 2 and %rhel > 3

* Wed Apr 12 2006 Rex Dieter 0.12.15-0.1
- 0.12.15

* Tue Mar 28 2006 Rex Dieter 0.12.14-0.3
- libk3bmpcdecoder -> k3b-extras
- k3blibsndfiledecoder -> k3b-extras

* Tue Mar 07 2006 Rex Dieter 0.12.14-0.1
- 0.12.14

* Thu Mar 02 2006 Rex Dieter 0.12.13-0.1
- 0.12.13

* Wed Feb 15 2006 Rex Dieter 0.12.12-0.1
- 0.12.12

* Tue Feb 14 2006 Rex Dieter 0.12.11-0.2
- fc4+: disable ffmpeg support (for now, repo incomatibilities)

* Mon Feb 13 2006 Rex Dieter 0.12.11-0.1
- 0.12.11

* Thu Jan 19 2006 Rex Dieter 0.12.10-0.2
- --with-musepack

* Fri Dec 16 2005 Rex Dieter 0.12.10-0.1
- 0.12.10

* Mon Dec 12 2005 Rex Dieter 0.12.9-0.1
- 0.12.9

* Mon Nov 28 2005 Rex Dieter 0.12.8-1.0
- 0.12.8

* Wed Nov 02 2005 Rex Dieter 0.12.7-1.0
- 0.12.7

* Sat Oct 29 2005 Rex Dieter 0.12.6-1.0
- 0.12.6

* Wed Oct 19 2005 Rex Dieter 0.12.5-1.0
- 0.12.5

* Mon Sep 19 2005 Rex dieter 0.12.4a-1.1
- 0.12.4a

* Fri Sep 09 2005 Rex Dieter 0:0.12.3-1.1.kde
- -mp3: rename to -extras
- ffmpeg-api-change patch (for ffmpeg-0.4.9 20050801 snapshot)

* Tue Aug 02 2005 Rex Dieter 0:0.12.3-1.0.kde
- 0.12.3

* Fri Jul 29 2005 Rex Dieter 0:0.12.2-1.1.kde
- --with-ffmpeg (fc4 only)

* Mon Jun 26 2005 Rex Dieter 0:0.12.1-1.2.kde
- --with-hal seems to need hal >= 0.5, dbus >= 0.33 
  (ie, only fc4, omitting fc3, el4)

* Wed Jun 22 2005 Rex Dieter 0:0.12.1-1.1.kde
- --with-hal on platforms with hal >= 0.4 (fc3,fc4,el4 currently)

* Mon Jun 20 2005 Rex Dieter 0:0.12.1-1.0.kde
- 0.12.1

* Mon Jun 13 2005 Rex Dieter 0:0.12-1.0.kde
- 0.12(final)

* Thu Jun 02 2005 Rex Dieter 0:0.12-0.1.beta2.kde
- 0.12beta2

* Thu May 12 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11.24-1.0.kde
- 0.11.24

* Mon Mar 28 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11.23-1.0.kde
- 0.11.23
- drop Req: cdrdao, so it's optional

* Tue Mar 15 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11.21-0.0.kde
- 0.11.21

* Fri Feb 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11.20-0.0.kde
- 0.11.20

* Thu Jan 27 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11.19-0.0.kde
- 0.11.19

* Sat Dec 11 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11.18-0.1.kde
- 0.11.18

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11.17-0.1.kde
- Req: cdrdao
- cleanup old cruft

* Thu Sep 23 2004 Rex Dieter <rexdieter at sf.net> 0:0.11.17-0.0.kde
- 0.11.17

* Wed Sep 15 2004 Rex Dieter <rexdieter at sf.net> 0:0.11.15-0.0.kde
- 0.11.15

* Tue Aug 10 2004 Rex Dieter <rexdieter at sf.net> 0:0.11.14-0.fdr.0
- 0.11.14

* Fri Aug 06 2004 Rex Dieter <rexdieter at sf.net> 0:0.11.13-0.fdr.0
- 0.11.13

* Thu Jul 08 2004 Rex Dieter <rexdieter at sf.net> 0:0.11.12-0.fdr.0
- 0.11.12

* Thu Jun 17 2004 Rex Dieter <rexdieter at sf.net> - 0:11.11-0.fdr.0
- 0.11.11

* Mon Mar 29 2004 Rex Dieter <rexdieter at sf.net> - 0:11.9-0.fdr.1
- 0.11.9

* Mon Mar 22 2004 Rex Dieter <rexdieter at sf.net> - 0:0.11.7-0.fdr.1
- make buildable rh73-fc
- sed -> perl (mainly for rh73)
- Obsoletes: -devel pkg
- remove Requires: kdebase
- sanely detect kde32 usage

* Mon Mar  1 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.6-0.fdr.1
- Update to 0.11.6.
- Fix Fedora Core 2 detection.
- Fix k3b.desktop, so it doesn't break desktop-file-utils 0.4.

* Sun Feb 22 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.5-0.fdr.1
- Update to 0.11.5.
- Make id3lib-devel unconditional buildreq (FLAC plug-in wants this).

* Tue Feb 17 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.4-0.fdr.1
- Update to 0.11.4 (minor bug-fix release).

* Fri Feb 13 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.3-0.fdr.1
- Update to 0.11.3.
- Patch2 (kde31) from previous package obsolete.
- Docbook is there again.
- Add conditional build dependencies and preliminary KDE 3.2
  integration work for Fedora Core 2.

* Mon Feb  9 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.2-0.fdr.1
- Update to 0.11.2.
- Patch one line in the source which is specific to KDE 3.2 API and
  when the available KDE header seems insufficient.
- Docbook is gone.

* Mon Feb  9 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.1-0.fdr.5
- Add libsamplerate buildreq.
- Add check for and conditional inclusion of the x-cue/x-iso MIME type files.
- Drop patching default desktop categories, they don't contain a bug anymore.

* Mon Feb  2 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.1-0.fdr.4
- Add detection of mp3 build dependencies, and default to build with
  mp3 when found.
- Enable build conflicts on optional mp3 software only if built --without mp3.

* Sat Jan 31 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.1-0.fdr.3
- Extend scriptlets to complete KDE menu hierarchy.
- Replace perl one-liners with sed.

* Sun Jan 25 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.1-0.fdr.2
- Apply some fedora.us QA suggestions (not own some directories, symlink
  desktop icon).

* Sat Jan 24 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.1-0.fdr.1
- Update to 0.11.1, add flac-devel buildreq, and --with mp3 switch.
- No longer needed: kcmshell desktop entry patch.
- Obsolete k3b-i18n < 0.11, upstream will release a new one.

* Wed Dec 10 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10.3-0.lvn.2
- Add proper %%defattr for mp3 sub-package.

* Thu Dec  4 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10.3-0.lvn.1
- Add libmad-devel and id3lib-devel buildreq.
- Add --without-mp3 and --without-mp3pkg build switches.
- Update to 0.10.3.

* Fri Nov 14 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10.2-0.fdr.2
- Don't own /usr/share/sounds.

* Thu Nov 06 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10.2-0.fdr.1
- Update to 0.10.2.

* Tue Oct 28 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10.1-0.fdr.2
- Apply Fedora QA suggestions (bug #885).

* Sun Oct 26 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10.1-0.fdr.1
- Update to 0.10.1.

* Sun Oct 26 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.1
- Update to 0.10.
- Add autoconf buildreq.
- Remove mp3 input Makefile patch (obsolete).
- Remove k3bsetuprc ghost file (obsolete).
- Add rpm optflags patch.
- Fix desktop file for KDE control centre module.
- Make desktop entry icons work in GNOME.
- Remove --with-xinerama
- Spec file cleanup (brings it closer to Fedora spec template).

* Sun Oct 26 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.9-0.fdr.7
- Provide k3b-devel.

* Sun Oct 26 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.9-0.fdr.6
- Fix German comment in k3b-desktop.patch.

* Sat Sep 06 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.9-0.fdr.5
- Remove conflict with Arson package by using the same .desktop
  files for two MIME-types.

* Sat Aug 23 2003 Adrian Reber <adrian@lisas.de> - 0:0.9-0.fdr.4
- perl one-liner to remove -pedantic. k3b does now compile on
  RH 9.0.93 (bug #572)
- included k3bsetup.patch from debian (bug #500)

* Sun Aug 03 2003 Adrian Reber <adrian@lisas.de> - 0:0.9-0.fdr.3
- switched back to kdesu as usermode-gtk did not work in all places
- added a lot of directories to the file list
- datadir/apps/k3b/k3bsetup marked as ghost

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.9-0.fdr.2
- applied patch from Michael Schwendt to use usermode-gtk 
  instead of kdesu

* Tue Jul 22 2003 Adrian Reber <adrian@lisas.de> - 0:0.9-0.fdr.1
- updated to 0.9
- included kdebase as requires (for kdesu)
- included headers and libs
- included post and postun scripts

* Sun May 25 2003 Adrian Reber <adrian@lisas.de> - 0:0.8.1-0.fdr.7
- added conflicts with arson
- synced the spec with the one from the fedora repository

* Mon May 12 2003 Adrian Reber <adrian@lisas.de> - 0:0.8.1-0.fdr.6
- removed desktop categories from k3b.desktop which do not belong
  there
- inserted perl as BuildRequires to optimize the desktop categories

* Mon May 05 2003 Adrian Reber <adrian@lisas.de> - 0:0.8.1-0.fdr.5
- release has been incremented

* Mon May 05 2003 Adrian Reber <adrian@lisas.de> - 0:0.8.1-0.fdr.4
- changed the desktop categories according to fedora bug #261

* Fri Apr 25 2003 Warren Togami <warren@togami.com> 0:0.8.1-0.fdr.4
- Remove macros from URL

* Wed Apr 23 2003 Adrian Reber <adrian@lisas.de> - 0:0.8.1-0.fdr.3
- added %{?_smp_mflags}
- added --with-xinerama
- moved QTDIR and configure from prep to build
- removed X-Red-Hat-Extra from .desktop
- macroless URL for Source

* Tue Apr 15 2003 Adrian Reber <adrian@lisas.de> - 0.8.1-0.fdr.2
- added Epoch: 0
- added %doc

* Sat Apr 12 2003 Adrian Reber <adrian@lisas.de> - 0.8.1-0.fdr.1
- changed existing spec file to comply with the fedora guidlines
